Bug Hunting Session
Bug 100242 - 3D transitions don't work in Impress when is used LO with GTK+ 3 integration
Summary: 3D transitions don't work in Impress when is used LO with GTK+ 3 integration
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
5.1.3.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: OpenGL-Linux GTK3 Slide-Transitions
  Show dependency treegraph
 
Reported: 2016-06-06 19:42 UTC by Bastián Díaz
Modified: 2017-09-11 15:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
gtk native app (bad display) (1.09 MB, video/webm)
2016-10-12 19:29 UTC, Bastián Díaz
Details
gtk libreoffice from web (good display) (1.01 MB, video/webm)
2016-10-12 19:32 UTC, Bastián Díaz
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bastián Díaz 2016-06-06 19:42:09 UTC
Description of problem:
LO 5.1 release note say: "All OpenGL transitions have been ported to OpenGL 2.1+, which removes support for very old GPUs but allows a better usage of modern ones. Four new transitions have been added which require OpenGL 3.2+ that exploit these new available features."

I understand that the minimum requirement for the 3d transitions (ogltrans) is OpenGL 2.1 and only for the new four transitions, OpenGL 3.3 is required. However, my system supports OpenGL 3.0 and 3D transitions not not work (and normal transitions not displayed correctly)


Version-Release number of selected component:
• Fedora 24 workstation beta XFCE
• LibreOffice Version: 5.0.6.3 Build ID:90fc03b25318460cfc54456516ea2519c11d1aa
• LibreOffice Version: 5.1.3.2 Build ID: 5.1.3.2-6.fc24
• LibreOffice Version: 5.2.0.0.beta1 ID:1e9933ef611c66bcded94b84052543c78cf1c223
  (Flatpak)

How reproducible:
Alaways using LO 5.1.x and 5.2

Steps to Reproduce:
1. Open LO Impress
2. Select a 3D transition
3. Start presentation

Actual results:
3D transitions do not work and normal transitions are not displayed correctly

Expected results:
All supported transitions work properly

Additional info:
glxinfo | grep "OpenGL"
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Bay Trail 
OpenGL core profile version string: 3.3 (Core Profile) Mesa 11.2.1 (git-79b0e13)
OpenGL core profile shading language version string: 3.30
OpenGL core profile context flags: (none)
OpenGL core profile profile mask: core profile
OpenGL core profile extensions:
OpenGL version string: 3.0 Mesa 11.2.1 (git-79b0e13)
OpenGL shading language version string: 1.30
OpenGL context flags: (none)
OpenGL extensions:
OpenGL ES profile version string: OpenGL ES 3.0 Mesa 11.2.1 (git-79b0e13)
OpenGL ES profile shading language version string: OpenGL ES GLSL ES 3.00
OpenGL ES profile extensions:

Comment:
As a suggestion, it would be good to add a dialogue "this transition is not supported" or similar.
Comment 1 Bastián Díaz 2016-06-08 18:29:02 UTC
I don't understand why, but versions of LibreOffice AppImage 5.1.x and 5.2 beta function properly in my system (3D transitions).

https://bintray.com/probono/AppImages/LibreOffice/view
https://bintray.com/probono/AppImages/LibreOfficeDev/view
Comment 2 Bastián Díaz 2016-09-15 06:26:53 UTC
Additional Information:

• Installing LibreOffice from official tarballs, 3D transitions work perfectly (except those not supported by the graphics card)

• Installing LibreOffice from my distro repositories (Fedora 24), 3D transitions do not work.

• Installing LibreOffice on the official Flatpak, 3D transitions do not work.
Comment 3 Caolán McNamara 2016-09-15 08:06:41 UTC
Its probably gtk3 vs gtk2 rather than packaging
Comment 4 Buovjaga 2016-10-12 11:05:25 UTC
Bastián: did you test with
SAL_USE_VCLPLUGIN=gtk libreoffice

versus

SAL_USE_VCLPLUGIN=gtk3 libreoffice

Is there a difference?
Comment 5 Bastián Díaz 2016-10-12 19:26:44 UTC
(In reply to Buovjaga from comment #4)
> Bastián: did you test with
> SAL_USE_VCLPLUGIN=gtk libreoffice
> 
> versus
> 
> SAL_USE_VCLPLUGIN=gtk3 libreoffice
> 
> Is there a difference?


I've used that option before and with poor results. Using `SAL_USE_VCLPLUGIN=gtk libreoffice` and I get 3D transitions but with a very poor display. My current solution is to install the RPM of the official website.
Comment 6 Bastián Díaz 2016-10-12 19:29:02 UTC
Created attachment 127979 [details]
gtk native app (bad display)
Comment 7 Bastián Díaz 2016-10-12 19:32:12 UTC
Created attachment 127980 [details]
gtk libreoffice from web (good display)

both tested in fedora 24 workstation (64 bit)
Comment 8 David Tardon 2016-11-05 16:01:48 UTC
(In reply to Bastián Díaz from comment #5)
> I've used that option before and with poor results. Using
> `SAL_USE_VCLPLUGIN=gtk libreoffice` and I get 3D transitions but with a very
> poor display. My current solution is to install the RPM of the official
> website.

There was another problem, affecting about half of the 3D transitions (the simpler ones, like Turn Around, Venetian Blinds, Cube, etc.), which could be described as "poor display". But that problem is not Fedora-specific, so it should be in the official RPMs too...
Comment 9 Bastián Díaz 2016-11-05 17:40:58 UTC
(In reply to David Tardon from comment #8)
> (In reply to Bastián Díaz from comment #5)
> > I've used that option before and with poor results. Using
> > `SAL_USE_VCLPLUGIN=gtk libreoffice` and I get 3D transitions but with a very
> > poor display. My current solution is to install the RPM of the official
> > website.
> 
> There was another problem, affecting about half of the 3D transitions (the
> simpler ones, like Turn Around, Venetian Blinds, Cube, etc.), which could be
> described as "poor display". But that problem is not Fedora-specific, so it
> should be in the official RPMs too...

That's right, I've seen several reports about it, even in the development version (5.3.0.0.alpha1 +) 90% of 3D transitions are not displayed correctly.
As you say, this is not a problem specific to fedora, but is specific to the GTK + 3 integration.
Comment 10 Bastián Díaz 2016-11-05 17:45:56 UTC
I changed the summary of this report to better reflect the problem situation.

3D transitions do not work despite having OpenGL 3.0 support → 3D transitions don't work in Impress when is used LO with GTK+ 3 integration
Comment 11 David Tardon 2016-11-06 14:08:16 UTC
(In reply to David Tardon from comment #8)
> There was another problem, affecting about half of the 3D transitions (the
> simpler ones, like Turn Around, Venetian Blinds, Cube, etc.), which could be
> described as "poor display". But that problem is not Fedora-specific, so it
> should be in the official RPMs too...

Actually, it _is_ Fedora-specific, because the official RPMs are built with older version of glm...
Comment 12 David Tardon 2016-11-06 14:13:04 UTC
(In reply to Bastián Díaz from comment #9)
> (In reply to David Tardon from comment #8)
> > (In reply to Bastián Díaz from comment #5)
> > > I've used that option before and with poor results. Using
> > > `SAL_USE_VCLPLUGIN=gtk libreoffice` and I get 3D transitions but with a very
> > > poor display. My current solution is to install the RPM of the official
> > > website.
> > 
> > There was another problem, affecting about half of the 3D transitions (the
> > simpler ones, like Turn Around, Venetian Blinds, Cube, etc.), which could be
> > described as "poor display". But that problem is not Fedora-specific, so it
> > should be in the official RPMs too...
> 
> That's right, I've seen several reports about it, even in the development
> version (5.3.0.0.alpha1 +) 90% of 3D transitions are not displayed correctly.
> As you say, this is not a problem specific to fedora, but is specific to the
> GTK + 3 integration.

Note that comment is specifically about the gtk VCL plugin, i.e., Gtk+2, not Gtk+3. No 3D transition works with the gtk3 plugin, because it doesn't implement OpenGL support yet.
Comment 13 Jean-Baptiste Faure 2017-09-09 10:51:53 UTC
According to comment #12, could you test with one of the current supported LO versions ?

And, please, attach your test file to this bug report.

Set status to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 14 Caolán McNamara 2017-09-11 15:02:59 UTC
It all works now in master and 5-4. Backported to Fedora for 5-3 and 5-2